package com.sy.coinage.workshop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.app.req.CheckShopOutInConfirmReq;
import com.sy.coinage.app.req.CheckWareInConfirmReq;
import com.sy.coinage.core.vo.CacheUserVO;
import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.workshop.model.*;
import com.sy.coinage.workshop.req.*;
import com.sy.coinage.workshop.vo.*;

import java.util.List;

/**
 * -IService
 */
public interface ICheckService extends IService<Check> {
    void wareOut(CheckReq req, CacheUserVO user);

    String creadeOutOrderNo(Integer securitiesId, Integer deptId);

    Check getByOrderNo(String orderNo);

    void shopIn(CheckShopOutInConfirmReq req, CacheUserVO user);

    void shopOut(CheckShopOutInConfirmReq req, CacheUserVO user);

    void wareIn(CheckWareInConfirmReq req, CacheUserVO user);

    List<BaseInfo> securitiesOpt();
}
